<script>
    import '../../app.css';
    import componentsData from '../../data/componentsData.json';
</script>

<!-- page layout -->
<section id="component-library" class="container scroll-mt-28 drawer drawer-mobile">
    <!-- common sidebar -->
    <div class="drawer-side">
        <ul class="flex flex-col p-0 px-3 space-y-6 lg:space-y-2">
            <li class="mb-8 lg:mb-3 font-semibold text-slate-900 hover:text-slate-700">
                <a href="/componentlib">
                    <span class="flex-1">Components</span>
                </a>
            </li>
            {#each componentsData as component, index}
                <li
                    class="text-m font-medium text-slate-900 block border-l pl-4 -ml-px border-transparent hover:border-slate-400 text-slate-700 hover:text-slate-900"
                >
                    <a href={'/componentlib/' + component.name.toLowerCase()} class="flex gap-4">
                        <span class="flex-1">{component.name}</span>
                    </a>
                </li>
            {/each}
        </ul>
    </div>

    <!-- page content -->
    <div class="drawer-content scroll-pt-5 px-4 smooth-scroll">
        <slot />
    </div>
</section>

<style>
    .drawer {
        display: grid;
        width: 100%;
        overflow: hidden;
        height: 100vh;
        height: 100dvh;
    }

    .drawer-side {
        grid-column-start: 1;
        grid-row-start: 1;
        display: grid;
        max-height: 100vh;
    }

    .drawer-content {
        z-index: 0;
        grid-column-start: 1;
        grid-row-start: 1;
        overflow-y: auto;
        transition-property: all;
        transition-duration: 0.3s;
    }

    @media (min-width: 1024px) {
        .drawer-mobile {
            grid-auto-columns: max-content auto;
        }
    }

    @media (min-width: 1024px) {
        .drawer-mobile > .drawer-content {
            grid-column-start: 2;
        }
    }

    @media (min-width: 1024px) {
        .drawer-mobile > .drawer-content {
            height: auto;
        }
    }
</style>
